cd data

### modelnet 40
if [ -d "modelnet40_hdf5_2048" ]
	then
			echo "1. modelnet40 data exists.."
	else
			gdown "https://drive.google.com/uc?id=1bJAs7X_G6Nc6itG6MQtlZS6P1DzXQ9uo"
			unzip modelnet40_hdf5_2048.zip
			echo "1. modelnet40 downloaded and extracted.."

fi

## modelnet 10
if [ -d "modelnet10_hdf5_2048" ]
	then
			echo "2. modelnet10 data exists.."
	else
			gdown "https://drive.google.com/uc?id=1lkY7atsmMTlbMecGX54NA_a8SugvCcqK"
			unzip modelnet10_hdf5_2048.zip
			echo "2. modelnet10 downloaded and extracted.."

fi

# ### shape-net part
if [ -d "shapenet_part" ]
	then
			echo "3. shapenetpart data exists.."
	else
			gdown "https://drive.google.com/uc?id=1ewdo79HhDnA8CIDmjRKmYrQ9YnTlKjmt"
			unzip shapenet_part.zip
			echo "3. shapenetpart downloaded and extracted.."
fi

# ### shape-net core
if [ -d "shapenetcorev2_hdf5_2048" ]
	then
			echo "4. shapenetcore data exists.."
	else
			gdown "https://drive.google.com/uc?id=1lPxKDqSZhvw-bq-Ai3a4kA43_YJaudAf"
			unzip shapenetcorev2_hdf5_2048.zip
			echo "4. shapenetcore downloaded and extracted.."
fi

# ### si3d
if [ -d "indoor3d_sem_seg_hdf5_data" ]
	then
			echo "5. stanfordindoor3d data exists.."
	else
			gdown "https://drive.google.com/uc?id=1kQ8fGspchTnsoHyv_R9HD6WoXSre-Au0"
			unzip indoor3d_sem_seg_hdf5_data.zip
			echo "5. stanfordindoor3d downloaded and extracted.."
fi

# Scan object NN
if [ -d "scanobjectnn" ]
  then
      echo "6. scanobjectnn data exists.."
  else
      gdown "https://drive.google.com/uc?id=1Gvxw5EBsE_uEEAzI-TB-APkoOR9mlc6X"
      tar -xvf scanobjectnn.tar.gz
      echo "6. scanobjectnn downloaded and extracted.."
fi
# rm -rf *.zip
cd ..
